% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MP.R
\name{MP}
\alias{MP}
\title{MP}
\usage{
MP(
  group,
  t,
  att,
  V_analytical,
  se,
  c,
  inffunc,
  n = NULL,
  W = NULL,
  Wpval = NULL,
  aggte = NULL,
  alp = 0.05,
  DIDparams = NULL,
  debT
)
}
\arguments{
\item{group}{which group (defined by period first treated) an group-time average treatment effect is for}

\item{t}{which time period a group-time average treatment effect is for}

\item{att}{the group-average treatment effect for group \code{group} and time
period \code{t}}

\item{V_analytical}{Analytical estimator for the asymptotic variance-covariance matrix for group-time average treatment effects}

\item{se}{standard errors for group-time average treatment effects. If bootstrap is set to TRUE, this provides bootstrap-based se.}

\item{c}{simultaneous critical value if one is obtaining simultaneous confidence
bands. Otherwise it reports the critical value based on pointwise normal
approximation.}

\item{inffunc}{the influence function for estimating group-time average treatment effects}

\item{n}{the number of unique cross-sectional units (unique values of idname)}

\item{W}{the Wald statistic for pre-testing the common trends assumption}

\item{Wpval}{the p-value of the Wald statistic for pre-testing the
common trends assumption}

\item{aggte}{an aggregate treatment effects object}

\item{alp}{the significance level, default is 0.05}

\item{DIDparams}{a \code{\link{DIDparams}} object.}

\item{debT}{first time period}
}
\value{
MP object
}
\description{
Multi-period objects that hold results for group-time average treatment effects
}
